/* File: LBAYES.h */

#ifndef __LBAYES
#define __LBAYES

#include "WINDOW.h"

class METHODLBAYES {
   private:
      int     number_of_iterations;
      double  aniu, beta;
      double  *lower_bounds, *upper_bounds, *start;
      int     number_of_variables;
   public:
      METHODLBAYES (double *Start, double *xl, double *xu, int n);
      int EnterParameters (Display *dsp, WINDOW *wnd);
      void Run (double *x, int n, double *y, 
         double (*fi) (const double *x, int n), double *fm, double **xn);
   };

#endif
