/* File: LBOX.h */

#ifndef __LIST_BOX
#define __LIST_BOX

#include "CONTROL.h"
#include "SBBUTTON.h"

#define LIST_BOX_NAME "LIST_BOX"

class LIST_BOX_ITEM;

class LIST_BOX : public CONTROL {
   private:
      LIST_BOX_ITEM *selected;
      char buf [128];
      int n_item;
      void Scroll (Direction up);
   public:
      LIST_BOX (Display *dsp, WINDOW *prnt, int x, int y, unsigned int width,
         unsigned int height, int Index);
      int Go (XEvent *event);
      void AddItem (char *string);
      ~LIST_BOX (void);
   };

#endif
