/* File: NUM.h */

#ifndef __NUM_WINDOW
#define __NUM__WINDOW

#include "DBOX.h"

#define NUM_WINDOW_NAME "NUM_WINDOW"

class NUM_WINDOW : public DIALOG_BOX {
   private:
      int    iteration;
      int    n_of_variables;
      double *x;
      double y;
   public:
      void DisplayItself (void);
      NUM_WINDOW (Display *dsp, WINDOW *prnt, unsigned long foreground,
         unsigned long background, char *res_name, int *VPar, int *VID, 
         char *name, unsigned int border_width, Font fid);
      int Go (XEvent *event);
      void SetIteration (int n) {iteration = n;};
      void SetPoint (int n, double *Point) {n_of_variables = n; x = Point;};
      void SetValue (double Value) {y = Value;};
   };

#endif
