/* File: BUTTON.h */

#ifndef __BUTTON
#define __BUTTON

#include "CONTROL.h"

#define BUTTON_NAME "BUTTON"

class BUTTON : public CONTROL {
   private:
      void Draw (void);
      void Highlight (Bool highlight);
   public:
      BUTTON (Display *dsp, WINDOW *prnt, char *name, int x, int y,
         unsigned int width, unsigned int height, int index);
      int Go (XEvent *event);
   };

#endif
