/* File: GLOPT.h */

#ifndef __GLOPT
#define __GLOPT

#include "WINDOW.h"

class METHODGLOPT {
   private:
      int     number_of_iterations, number_of_initial_points;
      double  *lower_bounds, *upper_bounds;
      int     number_of_variables;
      int     max_number_of_fun_eval;
   public:
      METHODGLOPT (double *xl, double *xu, int n);
      int EnterParameters (Display *dsp, WINDOW *wnd);
      void Run (double *x, int n, double *y, 
         double (*fi) (const double *x, int n), double *fm, double **xn);
   };

#endif
