/* File: MENU_ITEM.h */

#ifndef __MENU_ITEM
#define __MENU_ITEM

#include "WINDOW.h"

#define MENU_ITEM_NAME "MENU_ITEM"

class SUBMENU;

class MENU_ITEM : public WINDOW {
   protected:
      int     index;
      SUBMENU *submenu;
      virtual void Draw (void);
      void Reverse (void);
   public:
      ~MENU_ITEM (void);
      MENU_ITEM (Display *dsp, WINDOW *prnt, char *Name, int x, int y,
         unsigned int width, unsigned int height, SUBMENU *submenu = NULL,
         int index = 0);
      virtual int Go (XEvent *event);
   };

#endif
