int nlpql_(int *m, int *me, int *n, double *x, double *f, const double *xl, 
   const double *xu, int *ifail, double *wa, int *lwa, int *kwa, int *lkwa, 
   short *index, int *lactiv, short *active, double *fm, double **xn,
   double (*function) (const double *x, int n),
   void (*constraints) (const double *x, int n, double *g, int m));
int nlpql1_(int *m, int *me, int *mmax, int *n, int *nmax, int *mnn2, 
   double *x, double *f, double *g, double *df, double *dg, double *u, 
   const double *xl, const double *xu, double *c, double *d, double *acc, 
   double *scbou, 
   int *maxfun, int *maxit, int *ifail, double *wa, int *lwa, int *kwa, 
   int *lkwa, short *active, int *lactiv, short *index, double *fm, 
   double **xn);
int nlpql2_(int *m, int *me, int *mmax, int *n, int *nmax, double *x, 
   double *f, double *g, double *df, double *dg, double *u, const double *xl, 
   const double *xu, double *dcl, double *cd, double *acc, double *scbou, 
   int *maxfun, int *maxit, int *ifail, double *dbdfac, double *zefac, 
   double *rpeno, double *rpens, double *rpenu, double *zefacu, double *delta,
   double *beta, double *amue, double *alm, double *vmu, double *del, 
   double *dla, double *dclf, double *bdel, double *eta, double *xold, 
   double *dlaold, double *v, double *w, double *vmuold, double *dphi, 
   double *rpen, double *scg, double *fbest, double *gbest, double *wa, 
   int *lwa, int *n1, int *mnn, int *mnn2, int *nmnn, int *nfunc, int *ngrad, 
   int *iter, int *nql, int *iline, int *iflise, int *nopt, int *iw, int *liw,
   double *phi, double *dfdel, double *dbd, double *alpham, double *alphao, 
   double *scf, double *prod, short *active, int *lactiv, short *lscf, 
   short *lscg, short *lline, short *lrest, short *lalsd, short *lbest, 
   short *index, double *fm, double **xn);
int linsea_(double *alpha, double *alpham, double *phi, double *dphi, 
   double *amue, double *beta, int *iline, int *maxfun, int *ifail, 
   double *wa);
int merit_(int *mode, int *m, int *me, int *mmax, int *n, int *mnn, int *nmnn,
   double *acc, double *r, double *f, double *df, double *g, double *dg, 
   double *v, double *u, double *x, const double *xl, const double *xu, 
   double *phi, 
   double *dphi, short *active, double *wa, short *index);
int grad_(int *m, int *mmax, int *n, double *f, double *g, double *df, 
   double *dg, double *x, short *active);
int ql_(int *m, int *me, int *mmax, int *n, int *nmax, int *mnn, double *c, 
   double *d, double *a, double *b, const double *xl, const double *xu, 
   double *x, 
   double *u, int *ifail, double *war, int *lwar, int *iwar, int *liwar);
int zqpcvx_(int *n, int *m, int *meq, int *mmax, int *mn, int *nmax, double *a,
   double *b, double *grad, double *g, const double *xl, const double *xu, 
   double *x, 
   int *nact, int *iact, int *info, double *diag, double *w, int *lw);

